<!--
{{error}}
<div>
  <app-auth-form (submitted)="loginUser($event)">
    <h1>LOGIN</h1>
    <a [routerLink]="[ '/register']">Not registered?</a>
    <button type="submit">Login</button>
  </app-auth-form>
</div> -->


<!--
<mat-card class="example-card">
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>Shiba Inu</mat-card-title>
      <mat-card-subtitle>Dog Breed</mat-card-subtitle>
    </mat-card-header>
    <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">
    <mat-card-content>
      <p>
        The Shiba Inu is the smallest of the six original and distinct spitz breeds of dog from Japan.
        A small, agile dog that copes very well with mountainous terrain, the Shiba Inu was originally
        bred for hunting.
      </p>
    </mat-card-content>
    <mat-card-actions>
      <button mat-button>LIKE</button>
      <button mat-button>SHARE</button>
    </mat-card-actions>
  </mat-card> -->



<mat-grid-list cols="4">
  <mat-grid-tile colspan=1 rowspan=1>
  </mat-grid-tile>
  <mat-grid-tile colspan=2 rowspan=1>
    <mat-card *ngIf="!(authService.isSignedInStream | async); else signedInTemplate"  class="example-card">
      <mat-card-header>
        <mat-card-title>
          <span>You must be signed in to use this app</span>
        </mat-card-title>
      </mat-card-header>
      <button id="google-button" mat-button (click)="authService.signInWithGoogle()">
      </button>
    </mat-card>
  </mat-grid-tile>
</mat-grid-list>

<ng-template #signedInTemplate>
    <mat-card  class="example-card">
        <mat-card-header>
          <mat-card-title>
            <span>Signed in as {{authService.displayNameStream | async}}</span>
          </mat-card-title>
        </mat-card-header>
        <button mat-raised-button (click)="authService.signOutWithGoogle()">
          Sign Out
        </button>
      </mat-card>
</ng-template>
